## konlineaccounts 0.1.0+p24.04+vunstable+git20260203.0926

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.30)

project(konlineaccounts LANGUAGES CXX VERSION 0.1.0)

find_package(ECM 6.19.0 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)
include(ECMGenerateExportHeader)

find_package(Qt6 6.10 REQUIRED COMPONENTS Core DBus NetworkAuth WebEngineCore WebEngineQuick)

find_package(KF6 REQUIRED COMPONENTS CoreAddons Config I18n KCMUtils KIO DBusAddons Crash)

find_package(KPim6GAPI REQUIRED)

find_package(QCoro6 REQUIRED COMPONENTS Core Network)

qcoro_enable_coroutines()

add_subdirectory(lib)
add_subdirectory(daemon)
add_subdirectory(kcm)
add_subdirectory(plugins)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

add_library(accounts)
qt_extract_metatypes(accounts)

ecm_generate_export_header(accounts
    BASE_NAME Accounts
    VERSION ${PROJECT_VERSION}
    # USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

ecm_add_qml_module(accounts URI "org.kde.konlineaccounts" DEPENDENCIES QtCore QtQuick GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(accounts)

target_sources(accounts PRIVATE account.cpp #[[accountsmodel.cpp accountsfiltermodel.cpp]] accountbuilder.cpp setupitem.cpp accessmanager.cpp)

target_link_libraries(accounts PUBLIC Qt::Core Qt::Gui Qt::DBus Qt::Quick KF6::ConfigCore KF6::CoreAddons KF6::WindowSystem)

install(TARGETS accounts ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(nextcloud)
add_subdirectory(mastodon)
add_subdirectory(google)

=== plugins/mastodon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

kcoreaddons_add_plugin(mastodon INSTALL_NAMESPACE "konlineaccounts/providers")

target_sources(mastodon PRIVATE mastodon.cpp mastodoninterface.cpp)

target_link_libraries(mastodon PRIVATE accounts KF6::CoreAddons Qt::DBus)

ecm_add_qml_module(mastodonsetup URI "org.kde.konlineaccounts.mastodon" QML_FILES Main.qml GENERATE_PLUGIN_SOURCE DEPENDENCIES QtCore org.kde.konlineaccounts)
target_sources(mastodonsetup PRIVATE mastodonsetup.cpp)
target_link_libraries(mastodonsetup PRIVATE Qt::NetworkAuth QCoro::Core QCoro::Network KF6::I18n KF6::KIOCore accounts)
ecm_finalize_qml_module(mastodonsetup)

=== debian/changelog ===
konlineaccounts (0.1.0+p24.04+vunstable+git20260203.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:26:25 +0000

konlineaccounts (0.1.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 17:03:48 +1000

=== debian/control ===
Source: konlineaccounts
Section: kde
Priority: optional
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kpim6-libkgapi-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-networkauth-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/system/konlineaccounts.git
Vcs-Git: https://invent.kde.org/neon/neon-packaging/konlineaccounts.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/konlineaccounts
Maintainer: Neon CI <neon@kde.org>

Package: konlineaccounts
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: System to administer online accounts
 KOnlineAccounts is a system service to allow applications to obtain
 information about system-wide logged in accounts. It's designed to
 replace the current KAccounts system.

Package: konlineaccounts-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcoreaddons-dev,
         konlineaccounts (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: System to administer online accounts - development files
 KOnlineAccounts is a system service to allow applications to obtain
 information about system-wide logged in accounts. It's designed to
 replace the current KAccounts system.
 .
 This package contains the Qt6 based development files.

## konlineaccounts 0.1.0+p24.04+vunstable+git20260203.0935

=== daemon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(konlineaccountsd)

ecm_add_qml_module(konlineaccountsd URI "org.kde.konlineaccounts.daemon" QML_FILES Main.qml DEPENDENCIES QtCore)

target_sources(konlineaccountsd PRIVATE main.cpp accountsmanager.cpp accountsmanagerprivate.cpp accountsmodel.cpp accountsfiltermodel.cpp propertiesadaptor.cpp)

target_link_libraries(konlineaccountsd PRIVATE Qt::Core Qt::DBus Qt::Widgets KF6::CoreAddons KF6::ConfigCore KF6::KIOGui KF6::WindowSystem KF6::I18n KF6::I18nQml KF6::DBusAddons KF6::Crash accounts)

install(TARGETS konlineaccountsd DESTINATION ${KDE_INSTALL_BINDIR})

=== demo/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.25)
project(konlineaccounts-demo)

find_package(ECM 6.10.0 REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMQmlModule)

find_package(Qt6 REQUIRED COMPONENTS Core DBus Widgets)
find_package(KF6 REQUIRED COMPONENTS CoreAddons Config I18n Kirigami)

add_executable(demo)

target_sources(demo PRIVATE main.cpp accountsmodel.cpp)

ecm_add_qml_module(demo
    URI "org.kde.konlineaccounts.demo"
    QML_FILES Main.qml
    DEPENDENCIES QtCore
)

target_link_libraries(demo PRIVATE Qt::Quick Qt::Widgets Qt::DBus)

install(TARGETS demo ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.konlineaccountsdemo.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

kcmutils_add_qml_kcm(kcm_konlineaccounts SOURCES kcm.cpp accountsmodel.cpp availableaccountsmodel.cpp suggestedappsmodel.cpp authorizedappsmodel.cpp)

target_link_libraries(kcm_konlineaccounts PRIVATE
    Qt::Core
    Qt::DBus
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtils
    KF6::Service
    accounts
)

=== plugins/google/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

kcoreaddons_add_plugin(google INSTALL_NAMESPACE "konlineaccounts/providers")

target_sources(google PRIVATE google.cpp googleinterface.cpp)

target_link_libraries(google PRIVATE accounts KF6::CoreAddons Qt::DBus)

ecm_add_qml_module(googlesetup URI "org.kde.konlineaccounts.google" QML_FILES Main.qml GENERATE_PLUGIN_SOURCE)
target_sources(googlesetup PRIVATE googlesetup.cpp)
target_link_libraries(googlesetup PRIVATE QCoro::Network KF6::I18n KPim6::GAPICore accounts)
ecm_finalize_qml_module(googlesetup)

=== plugins/nextcloud/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-2-Clause

kcoreaddons_add_plugin(nextcloud INSTALL_NAMESPACE "konlineaccounts/providers")

target_sources(nextcloud PRIVATE nextcloud.cpp nextcloudinterface.cpp caldav.cpp carddav.cpp)

target_link_libraries(nextcloud PRIVATE accounts KF6::CoreAddons Qt::DBus)

ecm_add_qml_module(nextcloudsetup URI "org.kde.konlineaccounts.nextcloud" QML_FILES Main.qml DEPENDENCIES QtWebEngine org.kde.konlineaccounts GENERATE_PLUGIN_SOURCE)
target_sources(nextcloudsetup PRIVATE nextcloudsetup.cpp)
target_link_libraries(nextcloudsetup PRIVATE Qt::WebEngineQuick QCoro::Core QCoro::Network KF6::I18n KF6::KIOCore accounts)
ecm_finalize_qml_module(nextcloudsetup)

=== debian/changelog ===
konlineaccounts (0.1.0+p24.04+vunstable+git20260203.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:35:11 +0000
